Package org.apache.jasper.compiler

## Class SmapInput

- java.lang.Object
- - org.apache.jasper.compiler.SmapInput

    public class SmapInput
    extends Object

### Constructor Summary

Constructors
`SmapInput​(String fileName, int lineNumber)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFileName()`
`int` `getLineNumber()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SmapInput

    public SmapInput​(String fileName,
                     int lineNumber)

### Method Detail

#### getFileName

    public String getFileName()

#### getLineNumber

    public int getLineNumber()